# Generated by Django 4.2.6 on 2023-11-19 15:02

from django.db import migrations, models
import django.db.models.deletion
import netbox_documents.utils
import taggit.managers
import utilities.json


class Migration(migrations.Migration):

    dependencies = [
        ('dcim', '0181_rename_device_role_device_role'),
        ('extras', '0098_webhook_custom_field_data_webhook_tags'),
        ('netbox_documents', '0003_alter_circuitdocument_options_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='LocationDocument',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('name', models.CharField(blank=True, max_length=100)),
                ('document', models.FileField(blank=True, upload_to=netbox_documents.utils.file_upload)),
                ('external_url', models.URLField(blank=True)),
                ('document_type', models.CharField(max_length=30)),
                ('comments', models.TextField(blank=True)),
                ('location', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='documents', to='dcim.location')),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='document', to='dcim.site')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'verbose_name': 'Location Document',
                'verbose_name_plural': 'Location Documments',
                'ordering': ('-created', 'name'),
            },
        ),
    ]
