# Generated by Django 4.2.11 on 2024-04-17 18:46

from django.db import migrations, models
import django.db.models.deletion
import netbox_documents.utils
import taggit.managers
import utilities.json


class Migration(migrations.Migration):

    dependencies = [
        ('extras', '0107_cachedvalue_extras_cachedvalue_object'),
        ('circuits', '0043_circuittype_color'),
        ('netbox_documents', '0006_vmdocument'),
    ]

    operations = [
        migrations.CreateModel(
            name='CircuitProviderDocument',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('name', models.CharField(blank=True, max_length=100)),
                ('document', models.FileField(blank=True, upload_to=netbox_documents.utils.file_upload)),
                ('external_url', models.URLField(blank=True, max_length=255)),
                ('document_type', models.CharField(max_length=30)),
                ('comments', models.TextField(blank=True)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='documents', to='circuits.provider')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'verbose_name': 'Circuit Provider Document',
                'verbose_name_plural': 'Circuit Provider Documents',
                'ordering': ('name',),
            },
        ),
    ]
