# Generated by Django 5.1.3 on 2025-04-08 21:34

import django.db.models.deletion
import netbox_documents.utils
import taggit.managers
import utilities.json
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('dcim', '0200_populate_mac_addresses'),
        ('extras', '0122_charfield_null_choices'),
        ('netbox_documents', '0007_circuitproviderdocument'),
    ]

    operations = [
        migrations.CreateModel(
            name='ModuleTypeDocument',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('name', models.CharField(blank=True, max_length=100)),
                ('document', models.FileField(blank=True, upload_to=netbox_documents.utils.file_upload)),
                ('external_url', models.URLField(blank=True, max_length=255)),
                ('document_type', models.CharField(max_length=30)),
                ('comments', models.TextField(blank=True)),
                ('module_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='documents', to='dcim.moduletype')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'verbose_name': 'Module Type Document',
                'verbose_name_plural': 'Module Type Documents',
                'ordering': ('name',),
            },
        ),
    ]
